Skip to main content
POST
/
organization
/
{organizationId}
/
github
/
connect
Connect a github account to an organization
curl --request POST \
  --url https://api.qovery.com/organization/{organizationId}/github/connect \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "installation_id": "<string>",
  "code": "<string>"
}
'

Documentation Index

Fetch the complete documentation index at: https://qovery-docs-ai-use-cases-highlight.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

Body

application/json
installation_id
string
required
code
string
required

Response

Github App connected